Bug 243897 - [NEW PORT] devel/p5-Data-Unixish Implementation for Unixish, a data transformation framework
Summary: [NEW PORT] devel/p5-Data-Unixish Implementation for Unixish, a data transfo...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords: feature
Depends on: 243892 243894 243896
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-05 07:06 UTC by Zane C. Bowers-Hadley
Modified: 2020-08-16 13:05 UTC (History)
0 users

See Also:


Attachments
svn diff (7.24 KB, patch)
2020-02-05 07:06 UTC, Zane C. Bowers-Hadley
no flags Details | Diff
svn diff (7.36 KB, patch)
2020-04-08 02:51 UTC, Zane C. Bowers-Hadley
no flags Details | Diff
svn diff (50.57 KB, text/plain)
2020-08-15 22:19 UTC, Zane C. Bowers-Hadley
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Zane C. Bowers-Hadley 2020-04-08 02:51:44 UTC
Created attachment 213175 [details]
svn diff

now define RUN as well as BUILD depends
Comment 2 commit-hook freebsd_committer 2020-08-15 22:14:33 UTC
A commit references this bug:

Author: swills
Date: Sat Aug 15 22:14:23 UTC 2020
New revision: 545074
URL: https://svnweb.freebsd.org/changeset/ports/545074

Log:
  devel/p5-Data-Unixish: create port

  This distribution implements Unixish, a data transformation framework
  inspired by Unix toolbox philosophy.

  WWW: https://metacpan.org/release/Data-Unixish

  PR:		243897
  Submitted by:	Zane C. Bowers-Hadley <vvelox@vvelox.net>

Changes:
  head/devel/Makefile
  head/devel/p5-Data-Unixish/
  head/devel/p5-Data-Unixish/Makefile
  head/devel/p5-Data-Unixish/distinfo
  head/devel/p5-Data-Unixish/pkg-descr
  head/devel/p5-Data-Unixish/pkg-plist
Comment 3 Steve Wills freebsd_committer 2020-08-15 22:17:09 UTC
Committed, thanks!
Comment 4 Zane C. Bowers-Hadley 2020-08-15 22:19:49 UTC
Created attachment 217244 [details]
svn diff

Found after some testing on a fresh VM this port in general was expecting a module to support perl earlier than 5.12. Patch added to remove that as it is not in the tree and FreeBSD does not have Perl that old in the ports tree.

Basically it is a pointless module to include on newer versions of Perl.
Comment 5 Zane C. Bowers-Hadley 2020-08-15 22:23:15 UTC
Whoops, accidentally skipped uploading a fix I found via a fresh VM. This module will generally fail with out it.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2020-08-16 02:22:13 UTC
^Triage: Assign to committer that resolved
Comment 7 commit-hook freebsd_committer 2020-08-16 13:04:05 UTC
A commit references this bug:

Author: swills
Date: Sun Aug 16 13:03:51 UTC 2020
New revision: 545106
URL: https://svnweb.freebsd.org/changeset/ports/545106

Log:
  devel/p5-Data-Unixish: add patches to fix run time issues

  PR:		243897
  Submitted by:	Zane C. Bowers-Hadley <vvelox@vvelox.net> (maintainer)

Changes:
  head/devel/p5-Data-Unixish/Makefile
  head/devel/p5-Data-Unixish/files/
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_avg.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_bool.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_cat.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_centerpad.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_chain.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_cond.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_count.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_date.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_grep.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_head.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_indent.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_join.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_lc.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_lcfirst.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_lins.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_linum.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_lpad.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_ltrim.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_map.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_num.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_pick.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_rand.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_randstr.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_rev.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_rins.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_rpad.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_rtrim.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_shuf.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_sort.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_splice.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_split.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_sprintf.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_sprintfn.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_subsort.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_sum.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_tail.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_trim.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_trunc.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_uc.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_ucfirst.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_wc.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_wrap.pm
  head/devel/p5-Data-Unixish/files/patch-lib_Data_Unixish_yes.pm
Comment 8 Steve Wills freebsd_committer 2020-08-16 13:05:08 UTC
Committed, thanks!